Bug 1461935 - [DOCS] Rolling Strategy: add information about updatePeriodSeconds and intervalSeconds
[DOCS] Rolling Strategy: add information about updatePeriodSeconds and interv...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Michael Burke
zhou ying
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 12:24 EDT by Michael Burke
Modified: 2017-07-27 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 15:58:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Burke 2017-06-15 12:24:16 EDT
This issue is to address an outstanding GitHub issue:
https://github.com/openshift/openshift-docs/issues/1325#issuecomment-308780615

The Rolling Strategy miss the description of updatePeriodSeconds and intervalSeconds.

See their description in API: https://docs.openshift.org/latest/rest_api/openshift_v1.html#v1-rollingdeploymentstrategyparams
Comment 1 Michael Burke 2017-06-22 11:21:41 EDT
deployment_strategies.adoc: Added `updatePeriodSeconds` and `intervalSeconds` to Rolling Deployment example with definition from API Reference.

integrating_external_services: Added `updatePeriodSeconds` and `intervalSeconds` definition from API Reference to _Step 2: Consume a Service_ example.

Note: In error I added `updatePeriodSeconds` and `intervalSeconds`to the _Using an IP address and Endpoints_ and subsequently removed. This change appears in the PR.
Comment 3 Michael Burke 2017-07-07 16:17:13 EDT
@zhou Please review the changes in PR https://github.com/openshift/openshift-docs/pull/4641
Comment 4 zhou ying 2017-07-09 22:23:35 EDT
@Michael Burke 
For "intervalSeconds", what's the meaning of polling deployment?
Comment 5 Michael Burke 2017-07-10 09:42:25 EDT
@zhou ying

Rolling Strategy

A rolling deployment slowly replaces instances of the previous version of an application with instances of the new version of the application. A rolling deployment typically waits for new pods to become ready via a readiness check before scaling down the old components. If a significant issue occurs, the rolling deployment can be aborted.
https://docs.openshift.com/online/dev_guide/deployments/deployment_strategies.html#rolling-strategy
Comment 6 zhou ying 2017-07-10 21:59:29 EDT
The doc LGTM, will verify it.
Comment 7 openshift-github-bot 2017-07-11 13:58:29 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/494a3e1db0955b7d4dcf00d5116251d15bd59169
Merge pull request #4641 from mburke5678/Bug1461935-updatePeriodSeconds

Bug 1461935 Added updatePeriodSeconds and intervalSeconds

Note You need to log in before you can comment on or make changes to this bug.